Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class RelativeXRI

    java.lang.Object
      org.openxri.Parsable
          org.openxri.RelativeXRI

All Implemented Interfaces:
  java.lang.Comparable, XRIReference

    public class RelativeXRI

extends Parsable
implements XRIReference

This class provides a strong typing for a Relative XRI. Any object of this class that appears outside of the package is a valid Relative XRI.

Author:
  =chetan

Constructor Summary
`RelativeXRI(java.lang.String sXRI)` Constructs XRI from String
`RelativeXRI(XRIPath oPath)` Constructs an XRI from the provided RelativePath

Method Summary
`AuthorityPath` | `getAuthorityPath()` Returns the AuthorityPath component of this XRI Reference
`XRIPath` | `getXRIPath()` Returns the XRI Path component of this XRI Reference

Methods inherited from class org.openxri.Parsable
`compareTo, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelativeXRI

    public RelativeXRI(java.lang.String sXRI)

  Constructs XRI from String

### RelativeXRI

    public RelativeXRI(XRIPath oPath)

  Constructs an XRI from the provided RelativePath

Method Detail

### getAuthorityPath

    public AuthorityPath getAuthorityPath()

  Description copied from interface: `XRIReference`
  Returns the AuthorityPath component of this XRI Reference

  Specified by:
    `getAuthorityPath` in interface `XRIReference`

### getXRIPath

    public XRIPath getXRIPath()

  Description copied from interface: `XRIReference`
  Returns the XRI Path component of this XRI Reference

  Specified by:
    `getXRIPath` in interface `XRIReference`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.